
From: Andreas Gruenbacher <agruen@suse.de>

Keith Young <stripyd@stripydog.com> has reported that when ACLs are not
compiled in, the default implementation of ext[23]_init_acl applies the
umask to all new files, including symlinks, which is wrong.  In this case
the VFS already takes care of applying the umask when needed, so ext2 and
ext3 need not bother about it.  Remove the superfluous statements.

Signed-off-by: Andreas Gruenbacher <agruen@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/ext2/acl.h |    1 -
 25-akpm/fs/ext3/acl.h |    1 -
 2 files changed, 2 deletions(-)

diff -puN fs/ext2/acl.h~ext-apply-umask-to-symlinks-with-acls-configured-out fs/ext2/acl.h
--- 25/fs/ext2/acl.h~ext-apply-umask-to-symlinks-with-acls-configured-out	2004-12-07 02:06:10.424152424 -0800
+++ 25-akpm/fs/ext2/acl.h	2004-12-07 02:06:10.429151664 -0800
@@ -77,7 +77,6 @@ ext2_acl_chmod (struct inode *inode)
 
 static inline int ext2_init_acl (struct inode *inode, struct inode *dir)
 {
-	inode->i_mode &= ~current->fs->umask;
 	return 0;
 }
 #endif
diff -puN fs/ext3/acl.h~ext-apply-umask-to-symlinks-with-acls-configured-out fs/ext3/acl.h
--- 25/fs/ext3/acl.h~ext-apply-umask-to-symlinks-with-acls-configured-out	2004-12-07 02:06:10.426152120 -0800
+++ 25-akpm/fs/ext3/acl.h	2004-12-07 02:06:10.429151664 -0800
@@ -79,7 +79,6 @@ ext3_acl_chmod(struct inode *inode)
 static inline int
 ext3_init_acl(handle_t *handle, struct inode *inode, struct inode *dir)
 {
-	inode->i_mode &= ~current->fs->umask;
 	return 0;
 }
 #endif  /* CONFIG_EXT3_FS_POSIX_ACL */
_
